/*
Program: Open-Simulation-Platform
This program provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a integrated interface for simulation-tools 

Copyright (C) 2006 Karsten Bettray
Version: 0.7 Alpha	2006.07.04

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

import gui.MyMenu;

import java.awt.Dimension;
import java.awt.GridLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.UIManager;

import modeller.ModellerPanel;
import modeller.ModellerStack;
import simulator.SimulatorPanel;

public class OSP extends JFrame
{
	private ModellerStack modellerStack = new ModellerStack();	// Controller-Class for managing the mouse-interaction
	private JPanel contentPanel;
	
	/**
	 * Constructor: Initializing the Layout, the GUI-components, the menu and the Look&Feel
	 *
	 */
	public OSP()
	{
		initJSE("");
	}
	/**
	 * Constructor: Initializing the Layout, the GUI-components, the menu and the Look&Feel
	 * 
	 * @param string Used for (anytime/soon integrated) start-options
	 */
	public OSP(String string)
	{
		initJSE(string);
	}
	private void initJSE(String string)
	{
		setNativeLookAndFeel();
		
		this.setLayout(new GridLayout(1,1));

		contentPanel = new JPanel();
		contentPanel.setLayout(new GridLayout(1,1));
		
		ModellerPanel mp = new ModellerPanel(modellerStack);
		SimulatorPanel sp = new SimulatorPanel();
		
		this.setJMenuBar(new MyMenu(contentPanel, mp, sp, modellerStack));
		
		this.add(contentPanel);
	}
	
	/**
	 * Setting up the system-look-and-feel
	 *
	 */
	private void setNativeLookAndFeel()
	{
		try { UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch( Exception e ) { e.printStackTrace(); }
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		OSP start = null;
		Dimension size = null;
		
//		if(args.length>0) {
//			start = new JSE("");
//		}
//		else {
			start = new OSP();
//		}
		
		start.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		start.setTitle(" OSP (Open-Simulation-Platform) ");
		start.setSize(1200, 800);
//		start.setSize(1600, 1000);
		start.setVisible(true);
		
	}

}
