/*
Class-name: About.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package gui;

import java.awt.Color;
import java.awt.Container;
import java.awt.Font;
import java.awt.GridLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;

/**
 * Open-Simulation-Environment
 * 
 * @version 0.5 Alpha<br>
 * @author Karsten Bettray - 04.07.2006<br> 
 * (c) Copyright K. Bettray & J. Stammen 2006.  All rights reserved.
 * Klasse: About<br>
 
 */
public class About extends JFrame
{
	JFrame frame;
	JPanel panel;
	JTextArea textArea;
	
	/**
	 * <u>Konstruktor</u><br>
	 * Erzeugen des Anzeige-Panels und der TextArea fuer den dargestellten Text
	 */
	public About()
	{
		panel = new JPanel();
		panel.setLayout(new GridLayout(1,1));
		
		StringBuffer string = new StringBuffer();			// StringBuffer werden verwendet, wenn laengere Zeichenketten durch hintereinanderhaengen erzeugt werden sollen 
		textArea = new JTextArea();
		textArea.setEditable(false);						// NICHT editierbar
		textArea.setFont(new Font("Monospaced", Font.PLAIN, 14)); 	// Monospace-Font setzen
		
		string.append("\n Open-Simulation-Platform\n\n");
		string.append("\n Version: 0.7 Alpha\n");
		string.append(" (c) Copyright K. Bettray 2006. All rights reserved.\n");

		textArea.setText(string.toString());
		panel.add(textArea);
		
//		setLnF();
		initFrame();		
	}
	
	/**
	 * Setzen des Look&Feel
	 */	
//	private void setLnF()
//	{
//		try {
//			UIManager.setLookAndFeel(UIManager. getCrossPlatformLookAndFeelClassName());
//			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName().toString());
//			UIManager.setLookAndFeel("com.sun.java.swing.plaf.gtk.GTKLookAndFeel");
//			UIManager.setLookAndFeel("javax.swing.plaf.mac.MacLookAndFeel");
//		} catch(Exception e) {
//			System.out.println("Fehler beim Umschalten des Look&Feels/ Error while switching look&feel!");
//		}
//	}
	
	/**
	 * <u>Erzeugen des Haupt-Frames</u><br>
	 * 
	 */
	private void initFrame()
	{
		Container cp = getContentPane();
		cp.add(panel);
		frame = new JFrame();
		frame.setTitle(" JSE (Open-Simulation-Platform)");
		frame.setSize(455, 200);
		frame.setContentPane(cp);
		frame.setLayout(new GridLayout(1,1));
		frame.setDefaultCloseOperation(JFrame. DISPOSE_ON_CLOSE);
		frame.setResizable(false);
		frame.setVisible(true);
		
		ScrollColor scrollcolor = new ScrollColor();
		scrollcolor.settextArea(textArea);
		
		Thread t = new Thread(scrollcolor);
		t.start();
	}

	/**
	 * <u>Innere Klasse: ScrollColor</u><br>
	 * @author Karsten
	 * Dient der Demonstration nebenl&auml;figer Prozesse. Realisierung durch Implementation des interfaces 'Runnable'
	 */
	class ScrollColor implements Runnable
	{
		JTextArea textArea;						// Referenz auf TextArea
		
		void settextArea(JTextArea textArea)	// setzen der referenz auf TextArea
		{
			this.textArea = textArea;
		}
		
		public void run() {						// 'run' wird bei Thread-Aufruf thread.start(); automatisch ausgefuehrt
//			System.out.println("Thread startet!");
			int i = 0;

			while((i++)<255) {					// Durchlaufen der Schleife bis Zaehler 255 erreicht hat
				textArea.setBackground(new Color(i, i, i));	// Zuweisen der Hintergrundfarbe der TextArea
				
				try {
					Thread.sleep(5);			// Thread fuer 5ms einrieren
				} catch (InterruptedException e) {
					e.printStackTrace();
				}	
			}
//			System.out.println("Thread ist zuende!");
		}
	}
}
