package gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.JMenuItem;

import modeller.ModellerStack;
import modeller.toolBars.ViewBar;

public class MyZoomMenu extends JMenu implements ActionListener
{
	private ViewBar viewBar;
	private ModellerStack modellerStack;
	
	public MyZoomMenu(String actionCommand, ModellerStack modellerStack)
	{
		super(actionCommand);
		this.modellerStack = modellerStack;

		this.viewBar = modellerStack.viewBar;

		JMenuItem mi = new JMenuItem("Fixing Point");
//		mi.addActionListener(this);
//		mi.setName("fixPoint");
//		mi.setToolTipText("Fixing point");
//		mi.setIcon(new ImageIcon("images/fixingPoint.png"));
//		this.add(mi);
		mi = new JMenuItem("Zoom-In");
		mi.addActionListener(this);
		mi.setName("zoomIn");
		mi.setToolTipText("Zoom-In");
		mi.setIcon(new ImageIcon("images/lupe_plus.png"));
		this.add(mi);
		mi = new JMenuItem("Zoom-Out");
		mi.setName("zoomOut");
		mi.addActionListener(this);
		mi.setToolTipText("Zoom-Out");
		mi.setIcon(new ImageIcon("images/lupe_minus.png"));
		this.add(mi);
		mi = new JMenuItem("Zoom by window");
		mi.setName("viewPan");
		mi.setEnabled(false);
		mi.addActionListener(this);
		mi.setToolTipText("Zoom by window");
		mi.setIcon(new ImageIcon("images/lupe_window.png"));
		this.add(mi);
		mi = new JMenuItem("100 %");
		mi.setName("100Percent");
		mi.addActionListener(this);
		mi.setToolTipText("100 %");
		mi.setIcon(new ImageIcon("images/lupe_100.png"));
		this.add(mi);
		mi = new JMenuItem("Fullscreen");
		mi.setName("fullscreen");
		mi.addActionListener(this);
		mi.setToolTipText("Fullscreen");

	}

	public void actionPerformed(ActionEvent e)
	{
		System.out.println("MyZoomMenu: actionPerformed: "+e.getActionCommand());
		
		viewBar.aEvents(e, true);
	}
}
