package gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenu;
//import javax.swing.JMenuItem;
import javax.swing.JCheckBoxMenuItem;

import modeller.ModellerStack;

public class ViewMenu extends JMenu implements ActionListener 
{
	private ModellerStack modellerStack;
	private JCheckBoxMenuItem objectsView, layersView;
	private JCheckBoxMenuItem zoomBar, toolsBarView, geometricsBarView;
	
	public ViewMenu(ModellerStack modellerStack)
	{
		this.modellerStack = modellerStack;
		
		this.setText("View");
		
		objectsView = new JCheckBoxMenuItem("Objecs");
		objectsView.setState(true);
		objectsView.addActionListener(this);
		
		layersView = new JCheckBoxMenuItem("Layers");
		layersView.setState(true);
		layersView.addActionListener(this);
		
		zoomBar = new JCheckBoxMenuItem("Zoombar");
		zoomBar.setState(true);
		zoomBar.addActionListener(this);
		
		toolsBarView = new JCheckBoxMenuItem("Toolsbar");
		toolsBarView.setState(true);
		toolsBarView.addActionListener(this);
		
		geometricsBarView = new JCheckBoxMenuItem("Geometricsbar");
		geometricsBarView.setState(true);
		geometricsBarView.addActionListener(this);
		
		this.add(objectsView);
		this.add(layersView);
		this.addSeparator();
		this.add(zoomBar);
		this.add(toolsBarView);
		this.add(geometricsBarView);
	}

	public void actionPerformed(ActionEvent e)
	{
		Object obj = e.getSource();
		
		System.out.println(e.getActionCommand());
		
		if(obj==objectsView) {
			modellerStack.objects.setVisible(objectsView.getState());
		}
		else if(obj==layersView) {
			// modellerStack.layerPanel[0].setVisible(layersView.getState());
			modellerStack.modellerPanel.getLayerPane().setVisible(layersView.getState());
		}
		else if(obj==zoomBar) {
			modellerStack.modellerPanel.getViewBar().setVisible(zoomBar.getState());
		}
		else if(obj==toolsBarView) {
			modellerStack.modellerPanel.getToolsBar().setVisible(toolsBarView.getState());
		}
		else if(obj==geometricsBarView) {
			modellerStack.modellerPanel.getGeometricsBar().setVisible(geometricsBarView.getState());
		}

	}
}
