/*
Interface-name: Preview3D.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package interfaces;

import java.util.ArrayList;
import java.util.Vector;

import javax.swing.JPanel;

public interface Preview3D
{
	public void setObjectData(ArrayList<CadObject> cadObjects, Vector<Layer> layers);
	public JPanel getPanel();
	public void update3dView();
	public void setBoundaries(Double boundaryWidth, Double boundaryHeight, Double boundaryDepth, Double rasterWidth, Double pixelPerMm);
}
