/*
Class-name: StaticMethods-java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a (soon) integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package modeller;

import java.util.ArrayList;
import java.util.Vector;

import interfaces.CadObject;
import interfaces.Layer;

public class StaticMethods
{
	public static void updateLayerdata(ArrayList<CadObject> cadObjects, Vector<Layer> layers)
	{
		Layer layer = null;
		CadObject cadObject = null;
		
		for(int i=0; i < cadObjects.size(); i++) {
			cadObject = cadObjects.get(i);
			layer = layers.get(cadObject.getLayerID());
			
			cadObject.setLineColor(layer.getLineColor());
			cadObject.setFillColor(layer.getFillColor());
			cadObject.setLineWidth(layer.getLineWidth());
			cadObject.setLineTyp(layer.getLineTyp());
			cadObject.setTransparency(layer.getTransparency());
			cadObject.setExtrudingDirection(layer.getExtrudingDirection());
			cadObject.setExtrusionStart(layer.getExtrusionStart());
			cadObject.setExtrusionStop(layer.getExtrusionStop());
		}
	}
}
