/*
Class-name: StatusPanel.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package modeller;

//import java.awt.GridLayout;

import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;


public class StatusPanel extends JPanel
{
	private JLabel scale = new JLabel(" ");
	private JLabel moved = new JLabel(" ");
	private JLabel stillBuilding = new JLabel(" ");
	private JLabel pressed = new JLabel(" ");
	private JLabel dragged = new JLabel(" ");
//	private JLabel fixed = new JLabel(" ");
	private JLabel mousePressed = new JLabel(" ");
//	private JLabel mouseFixed = new JLabel(" ");

	private ModellerStack modellerStack;
	
	public StatusPanel(ModellerStack modellerStack)
	{		
		this.modellerStack = modellerStack;
		
		this.setLayout(new GridLayout(1, 5)); //new BoxLayout(this, BoxLayout.X_AXIS));
		this.setBorder(BorderFactory.createTitledBorder("Infos: "));

		JPanel swap = new JPanel();
		swap.setLayout(new BoxLayout(swap, BoxLayout.Y_AXIS));
		swap.add(scale);
		swap.add(moved);
		
		this.add(swap);
		
		swap = new JPanel();
		swap.setLayout(new BoxLayout(swap, BoxLayout.Y_AXIS));
		swap.add(mousePressed);
		swap.add(pressed);
		
		this.add(swap);

		swap = new JPanel();
		swap.setLayout(new BoxLayout(swap, BoxLayout.Y_AXIS));
		swap.add(stillBuilding);
		swap.add(dragged);
		
		this.add(swap);		

//		swap = new JPanel();
//		swap.setLayout(new BoxLayout(swap, BoxLayout.Y_AXIS));
//		swap.add(mouseFixed);
//		swap.add(fixed);
//		
//		this.add(swap);
		
		this.add(new JLabel(" "));
		
		this.add(new JLabel(" "));		
}

	public void updatePanel()
	{
		scale.setText("scale: "+modellerStack.globalScale);
		moved.setText("MouseMoved: ("+modellerStack.xMoved / modellerStack.globalScale+", "+
								  modellerStack.yMoved / modellerStack.globalScale+", "+
								  modellerStack.zMoved / modellerStack.globalScale+")");

		mousePressed.setText(" mousePressed: "+modellerStack.mousePressed);
		pressed.setText("MousePressed: ("+modellerStack.xPressed / modellerStack.globalScale+", "+
										   modellerStack.yPressed / modellerStack.globalScale+", "+
										   modellerStack.zPressed / modellerStack.globalScale+")");

		stillBuilding.setText(" stillBuilding: "+modellerStack.stillBuilding);
		dragged.setText("MouseDragged: ("+modellerStack.xDragged / modellerStack.globalScale+", "+
										   modellerStack.yDragged / modellerStack.globalScale+", "+
										   modellerStack.zDragged / modellerStack.globalScale+")");

//		mouseFixed.setText(" pointFixed: "+modellerStack.pointFixed);
//		fixed.setText("pointFixed: ("+modellerStack.xFixed+", "+
//									   modellerStack.yFixed+", "+
//									   modellerStack.zFixed+")");
	}
}
