/*
Class-name: Objects.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a (soon) integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/
package modeller.objects;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;

import modeller.ModellerStack;

public class Objects extends JPanel
{
//	private ModellerStack modellerStack;
	private ObjectsPanel objectsPanel;
	private ObjectsPropertiesPanel objectsPropertiesPanel;
	
	public Objects(ModellerStack modellerStack)
	{
//		this.modellerStack = modellerStack;
		
		objectsPanel = new ObjectsPanel(modellerStack);
		objectsPropertiesPanel = new ObjectsPropertiesPanel(modellerStack);
		
		this.setPreferredSize(new Dimension(190, 100));
		this.setMinimumSize(new Dimension(190, 100));
		this.setMaximumSize(new Dimension(250, 100));
		
		this.setBackground(Color.WHITE);
		this.setLayout(new GridLayout(2,1));
		
		this.add(new JScrollPane(objectsPanel));
		this.add(new JScrollPane(objectsPropertiesPanel));
	}
	
	public void updateObjectList()
	{
		objectsPanel.updateObjectTree();
	}

	public ObjectsPropertiesPanel getObjectsPropertiesPanel() {
		return objectsPropertiesPanel;
	}

	public void setObjectsPropertiesPanel(
			ObjectsPropertiesPanel objectsPropertiesPanel) {
		this.objectsPropertiesPanel = objectsPropertiesPanel;
	}
}
