package modeller.popups;

import interfaces.CadObject;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import modeller.ModellerStack;

public class ObjectsPopup extends JPopupMenu implements ActionListener
{
	private ModellerStack modellerStack;
	private String actionCommandName = ""; 
	private int objID;
	
	public ObjectsPopup(ModellerStack modellerStack)
	{
		this.modellerStack = modellerStack;
		
		JMenuItem mi;

		mi = new JMenuItem(" Copy object");
		mi.addActionListener(this);
//		mi.setEnabled(false);
		mi.setName("copyObject");
		mi.setToolTipText("Copying the object");
		mi.setIcon(new ImageIcon("images/icons/16x16/edit-copy.png"));
		this.add(mi);

		mi = new JMenuItem(" Paste object");
		mi.addActionListener(this);
//		mi.setEnabled(false);
		mi.setName("pasteObject");
		mi.setToolTipText("Paste the object");
		mi.setIcon(new ImageIcon("images/icons/16x16/edit-paste.png"));
		this.add(mi);

		mi = new JMenuItem(" Delete object");
		mi.addActionListener(this);
		mi.setName("deleteObject");
		mi.setToolTipText("Deleting the selected object");
		mi.setIcon(new ImageIcon("images/icons/16x16/edit-delete.png"));
		this.add(mi);

	}
	
	public void doCommand()
	{
		if(actionCommandName.equals("deleteObject")) {
			System.out.println("Deleting "+objID);
			modellerStack.cadObjects.set(objID, null);
			modellerStack.cadObjects.remove(objID);
			actionCommandName = "";
			
			CadObject cadObject;
			for(int i=0; i<modellerStack.cadObjects.size(); i++) {
				cadObject = modellerStack.cadObjects.get(i);
				cadObject.setObjectId(i);
			}
			
			modellerStack.objectsPanel.updateObjectTree();
		}
	}
	
	public void actionPerformed(ActionEvent e)
	{
		actionCommandName = ((JMenuItem)e.getSource()).getName();
		doCommand();
	}

	public String getActionCommandName() {
		return actionCommandName;
	}

	public void setActionCommandName(String actionCommandName) {
		this.actionCommandName = actionCommandName;
	}

	public int getObjID() {
		return objID;
	}

	public void setObjID(int objID) {
		this.objID = objID;
	}

//	public String getActionCommandName() {
//		return actionCommandName;
//	}

}
