/*
Class-name: ViewPopup.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a (soon) integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package modeller.popups;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import modeller.toolBars.ViewBar;

public class ViewPopup extends JPopupMenu implements ActionListener
{
	private ViewBar viewBar;
//	private ModellerStack modellerStack;
	
	public ViewPopup(ViewBar viewBar) // , ModellerStack modellerStack)
	{
		this.viewBar = viewBar;
//		this.modellerStack = modellerStack;
		
		this.setLightWeightPopupEnabled(false);
		
		JMenuItem mi;
		
//		mi = new JMenuItem("Fixing Point");
//		mi.addActionListener(this);
//		mi.setName("fixPoint");
//		mi.setToolTipText("Fixing point");
//		mi.setIcon(new ImageIcon("images/fixingPoint.png"));
//		this.add(mi);
		mi = new JMenuItem("Zoom-In");
		mi.addActionListener(this);
		mi.setName("zoomIn");
		mi.setToolTipText("Zoom-In");
		mi.setIcon(new ImageIcon("images/lupe_plus.png"));
		this.add(mi);
		mi = new JMenuItem("Zoom-Out");
		mi.setName("zoomOut");
		mi.addActionListener(this);
		mi.setToolTipText("Zoom-Out");
		mi.setIcon(new ImageIcon("images/lupe_minus.png"));
		this.add(mi);
		mi = new JMenuItem("Zoom by window");
		mi.setName("viewPan");
		mi.setEnabled(false);
		mi.addActionListener(this);
		mi.setToolTipText("Zoom by window");
		mi.setIcon(new ImageIcon("images/lupe_window.png"));
		this.add(mi);
		mi = new JMenuItem("100 %");
		mi.setName("100Percent");
		mi.addActionListener(this);
		mi.setToolTipText("100 %");
		mi.setIcon(new ImageIcon("images/lupe_100.png"));
		this.add(mi);
		mi = new JMenuItem("Fullscreen");
		mi.setName("fullscreen");
		mi.addActionListener(this);
		mi.setToolTipText("Fullscreen");
		mi.setIcon(new ImageIcon("images/lupe_fullscreen.png"));
		this.add(mi);
	}

	public void actionPerformed(ActionEvent e)
	{
//		System.out.println("ViewPopup: actionPerformed: "+e.getActionCommand());
		
		viewBar.aEvents(e, false);
		
	}
}
