/*
Class-name: CoordinateCross.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package modeller.preview3d;

import javax.media.j3d.Appearance;
import javax.media.j3d.LineArray;
import javax.media.j3d.LineAttributes;
import javax.media.j3d.Shape3D;
import javax.vecmath.Color3f;
import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

public class CoordinatePlane
{
 
    // *** Zeichnen des 3D_Koordinatensystems ***
    public Shape3D getPlane()
    {
    	return getPlane(new Vector3f(0.0f, 0.0f, 0.0f), 1.0f, 1);
    }
    public Shape3D getPlane(Vector3f offset, int color)
    {
    	return getPlane(offset, 1.0f, 1);
    }
    public Shape3D getPlane(Vector3f offset, float factor, int color)
    {
    	Appearance appearanceCross = new Appearance();
    	//    	 Setzen der dicke der Linie, der strickart des Koordinatenkreuzes und des Antialisings
    	LineAttributes lineAttr = new LineAttributes(2.0f, LineAttributes.PATTERN_SOLID, true);
    	
    	appearanceCross.setLineAttributes(lineAttr);
    	
    	int planeArrayCount = 30;
    	
        Point3f[] CoordPlane = new Point3f[planeArrayCount];
       	CoordPlane[0] = new Point3f(0.0f, 0.0f, 0.0f);
    	CoordPlane[1] = new Point3f(1.0f, 0.0f, 0.0f);
       	CoordPlane[2] = new Point3f(1.0f, 0.0f, 0.0f);
       	CoordPlane[3] = new Point3f(0.9f, 0.01f, 0.0f);
       	CoordPlane[4] = new Point3f(1.0f, 0.0f, 0.0f);
       	CoordPlane[5] = new Point3f(0.9f, -0.01f, 0.0f);
       	CoordPlane[6] = new Point3f(1.0f, 0.0f, 0.0f);
       	CoordPlane[7] = new Point3f(0.9f, 0.0f, 0.01f);
       	CoordPlane[8] = new Point3f(1.0f, 0.0f, 0.0f);
       	CoordPlane[9] = new Point3f(0.9f, 0.0f, -0.01f);
        
    	CoordPlane[10] = new Point3f(0.0f, 0.0f, 0.0f);
    	CoordPlane[11] = new Point3f(0.0f, 1.0f, 0.0f);
    	CoordPlane[12] = new Point3f(0.0f, 1.0f, 0.0f);
    	CoordPlane[13] = new Point3f(0.01f, 0.9f, 0.0f);
    	CoordPlane[14] = new Point3f(0.0f, 1.0f, 0.0f);
    	CoordPlane[15] = new Point3f(-0.01f, 0.9f, 0.0f);
    	CoordPlane[16] = new Point3f(0.0f, 1.0f, 0.0f);
    	CoordPlane[17] = new Point3f(0.0f, 0.9f, -0.01f);
    	CoordPlane[18] = new Point3f(0.0f, 1.0f, 0.0f);
    	CoordPlane[19] = new Point3f(0.0f, 0.9f, +0.01f);

    	CoordPlane[20] = new Point3f(0.0f, 0.0f, 0.0f);
    	CoordPlane[21] = new Point3f(0.0f, 0.0f, 1.0f);
    	CoordPlane[22] = new Point3f(0.0f, 0.0f, 1.0f);
    	CoordPlane[23] = new Point3f(0.0f, 0.01f, 0.9f);
    	CoordPlane[24] = new Point3f(0.0f, 0.0f, 1.0f);
    	CoordPlane[25] = new Point3f(0.0f, -0.01f, 0.9f);
    	CoordPlane[26] = new Point3f(0.0f, 0.0f, 1.0f);
    	CoordPlane[27] = new Point3f(0.01f, 0.0f, 0.9f);
    	CoordPlane[28] = new Point3f(0.0f, 0.0f, 1.0f);
    	CoordPlane[29] = new Point3f(-0.01f, 0.0f, 0.9f);

    	for(int i=0; i <= CoordPlane.length - 1; i++) {
    		CoordPlane[i].x *= factor;
    		CoordPlane[i].y *= factor;
    		CoordPlane[i].z *= factor;

    		CoordPlane[i].x += offset.x; // - 0.25f;
    		CoordPlane[i].y += offset.y; // - 0.25f;
    		CoordPlane[i].z += offset.z; // - 0.25f;
    	}

    	LineArray lineArray = new LineArray(planeArrayCount, LineArray.COORDINATES | LineArray.COLOR_3);
        if(color == 0) for(int i=0; i<= planeArrayCount-1 ;i++)
        	lineArray.setColor(i, new Color3f(0.0f, 0.0f, 0.0f));	// lineArray.setColor(i, RGBColorMap.BLACK);
        else {
	        for(int i=0; i<=9; i++) 	lineArray.setColor(i, new Color3f(1.0f, 0.0f, 0.0f)); 	// lineArray.setColor(i,RGBColorMap.RED);
	        for(int i=10; i<=19; i++) 	lineArray.setColor(i, new Color3f(0.0f, 1.0f, 0.0f));	// lineArray.setColor(i, RGBColorMap.GREEN);
	        for(int i=20; i<=29; i++) 	lineArray.setColor(i, new Color3f(0.0f, 0.0f, 1.0f));	//	lineArray.setColor(i, RGBColorMap.BLUE);
        }
        lineArray.setCoordinates(0, CoordPlane);
                
    	return new Shape3D(lineArray, appearanceCross);
    }
}
