/*
Class-name: ViewPopup.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a (soon) integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package modeller.preview3d;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import modeller.ModellerPanel;
import modeller.toolBars.ViewBar;

public class J3dPopup extends JPopupMenu implements ActionListener
{
//	private ViewBar viewBar;
	ModellerPanel modellerPanel;
	
	public J3dPopup(ModellerPanel modellerPanel) // , ModellerStack modellerStack)
	{
		this.modellerPanel = modellerPanel;
		
//		this.viewBar = viewBar;
//		this.modellerStack = modellerStack;
		
		this.setLightWeightPopupEnabled(false);
		
		JMenuItem mi;
		
		mi = new JMenuItem("Fullscreen");
		mi.setName("fullscreen");
		mi.addActionListener(this);
		mi.setToolTipText("Fullscreen");
		mi.setIcon(new ImageIcon("images/lupe_fullscreen.png"));
		this.add(mi);
	}

	public void actionPerformed(ActionEvent e)
	{
//		System.out.println();
		
		String name = ((JMenuItem)(e.getSource())).getName();
		
//		viewBar.aEvents(e, false);
		if(name.equals("fullscreen")) {
			System.out.println("Fullscreen"); // on desktop "+modellerStack.currentDrawPanelID);
			((JMenuItem)e.getSource()).setName("redoFullscreen");
			((JMenuItem)e.getSource()).setText("Back to 3D-View");
//			modellerStack.modellerPanel.updateDrawPanelContainer(modellerStack.currentDrawPanelID, false);
			modellerPanel.updateDrawPanelContainer(3, false);
		}
		else if(name.equals("redoFullscreen")) {
			System.out.println("Redo fullscreen"); // on desktop "+modellerStack.currentDrawPanelID);
			((JMenuItem)e.getSource()).setName("fullscreen");
			((JMenuItem)e.getSource()).setText("Fullscreen");
//			modellerStack.modellerPanel.updateDrawPanelContainer(modellerStack.currentDrawPanelID, true);
			modellerPanel.updateDrawPanelContainer(3, true);
		}		
	}
}
