/*
Class-name: ImportObjects.java, part of the 'Open-Simulation-Platform'

The 'Open-Simulation-Platform' provides a dynamically GUI, with a plugable 2D/3D CAD-interface and a (soon) integrated plugable simulation-interface 

Copyright (C) 2006 Karsten Bettray

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library;
if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA *
*/

package modeller.tools;

public class ImportObjects
{
	protected String name = null;
	protected String toolTipText = null;
	protected String path = null;
	protected String imageIcon = null;
	protected String typ = null;
	protected String suffix = null;
	protected boolean visible = true;
	protected boolean enabled = true;
	protected boolean showInFrame = false;
	
	public ImportObjects(String name, String toolTipText, String path, String image, String typ, String suffix, Boolean visible, Boolean enabled, Boolean showInFrame)
	{
		this.name = name; this.toolTipText = toolTipText;
		this.path = path; this.imageIcon = image;
		this.typ = typ; this.suffix = suffix;
		this.visible = visible; this.enabled = enabled;
		this.showInFrame = showInFrame;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}

	public String getToolTipText() {
		return toolTipText;
	}
	public void setToolTipText(String toolTipText) {
		this.toolTipText = toolTipText;
	}
	
	public String toString()
	{
		return "[name=" + name + ", toolTipText="+ toolTipText + ", path=" + path +", image="+ imageIcon+"]";
	}

	public String getImageIcon() {
		return imageIcon;
	}
	public void setImageIcon(String image) {
		this.imageIcon = image;
	}

	public String getTyp() {
		return typ;
	}
	public void setTyp(String typ) {
		this.typ = typ;
	}

	public String getSuffix() {
		return suffix;
	}

	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}

	public boolean isEnabled() {
		return enabled;
	}

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}

	public boolean isVisible() {
		return visible;
	}

	public void setVisible(boolean visible) {
		this.visible = visible;
	}
}
